%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        11.5.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.5.0
Patch0001: 0001-Fix-until_complete-parameter-in-nova-crons.patch
Patch0002: 0002-Handle-libvirt-cpu_model_extra_flags-option.patch
Patch0003: 0003-Expose-rx-tx_queue_size.patch
Patch0004: 0004-Add-kombu_failover_strategy-option.patch
Patch0005: 0005-Add-oslo-cache-to-dependency-chain.patch
Patch0006: 0006-Add-group-configuration-to-qemu.conf-file.patch
Patch0007: 0007-Correct-permissions-on-the-nova-logfiles.patch
Patch0008: 0008-Expose-reserved_huge_pages-param.patch
Patch0009: 0009-Allow-live_migration_inbound_addr-to-be-used-with-no.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Tue Jul 24 2018 Martin Schuppert <mschuppert@redhat.com> 11.5.0-4
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576751)

* Tue Jun 12 2018 Steve Linabery <slinaber@redhat.com> 11.5.0-3
- Expose reserved_huge_pages param
- Correct permissions on the nova logfiles
- Add group configuration to qemu.conf file
- Add oslo::cache to dependency chain
- Add kombu_failover_strategy option

* Fri May 11 2018 Oliver Walsh <owalsh@redhat.com> 11.5.0-2
- Expose rx/tx_queue_size (rhbz#1571745)
- Handle libvirt/cpu_model_extra_flags option (rhbz#1571744)

* Tue Feb 13 2018 Thierry Vignaud <tvignaud@redhat.com> 11.5.0-1
- Fix until_complete parameter in nova crons
- Update to 11.5.0

* Mon Nov 20 2017 Jon Schlueter <jschluet@redhat.com> 11.4.0-2
- [pike] Add Puppet package to bindep, for module build
- Warn when configuring dedicated database connection for placement API
- Ensure that policy file exist
- Expose my_ip
- Remove deprecated nova-cert service configuration

* Sun Oct 08 2017 rdo-trunk <javier.pena@redhat.com> 11.4.0-1
- Update to 11.4.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0


